UpdateRowDetails¶
- class oci.nosql.models.UpdateRowDetails(**kwargs)¶
Bases:
objectSpecifications for the putting of a table row.
Attributes:
A constant which can be used with the option property of a UpdateRowDetails.
A constant which can be used with the option property of a UpdateRowDetails.
Gets the compartment_id of this UpdateRowDetails.
Gets the identity_cache_size of this UpdateRowDetails.
Gets the is_exact_match of this UpdateRowDetails.
Gets the is_get_return_row of this UpdateRowDetails.
Gets the is_ttl_use_table_default of this UpdateRowDetails.
Gets the option of this UpdateRowDetails.
Gets the timeout_in_ms of this UpdateRowDetails.
Gets the ttl of this UpdateRowDetails.
[Required] Gets the value of this UpdateRowDetails.
Methods:
__init__(**kwargs)Initializes a new UpdateRowDetails object with values from keyword arguments.
- OPTION_IF_ABSENT = 'IF_ABSENT'¶
A constant which can be used with the option property of a UpdateRowDetails. This constant has a value of “IF_ABSENT”
- OPTION_IF_PRESENT = 'IF_PRESENT'¶
A constant which can be used with the option property of a UpdateRowDetails. This constant has a value of “IF_PRESENT”
- __init__(**kwargs)¶
Initializes a new UpdateRowDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
compartment_id (str) – The value to assign to the compartment_id property of this UpdateRowDetails.
value (dict(str, object)) – The value to assign to the value property of this UpdateRowDetails.
option (str) – The value to assign to the option property of this UpdateRowDetails. Allowed values for this property are: “IF_ABSENT”, “IF_PRESENT”
is_get_return_row (bool) – The value to assign to the is_get_return_row property of this UpdateRowDetails.
timeout_in_ms (int) – The value to assign to the timeout_in_ms property of this UpdateRowDetails.
ttl (int) – The value to assign to the ttl property of this UpdateRowDetails.
is_ttl_use_table_default (bool) – The value to assign to the is_ttl_use_table_default property of this UpdateRowDetails.
identity_cache_size (int) – The value to assign to the identity_cache_size property of this UpdateRowDetails.
is_exact_match (bool) – The value to assign to the is_exact_match property of this UpdateRowDetails.
- property compartment_id¶
Gets the compartment_id of this UpdateRowDetails. The OCID of the table’s compartment. Required if the tableNameOrId path parameter is a table name. Optional if tableNameOrId is an OCID. If tableNameOrId is an OCID, and compartmentId is supplied, the latter must match the identified table’s compartmentId.
- Returns
The compartment_id of this UpdateRowDetails.
- Return type
str
- property identity_cache_size¶
Gets the identity_cache_size of this UpdateRowDetails. Sets the number of generated identity values that are requested from the server during a put. If present and greater than 0, this value takes precedence over a default value for the table.
- Returns
The identity_cache_size of this UpdateRowDetails.
- Return type
int
- property is_exact_match¶
Gets the is_exact_match of this UpdateRowDetails. If present and true, the presented row value must exactly match the table’s schema. Otherwise, rows with missing non-key fields or extra fields can be written successfully.
- Returns
The is_exact_match of this UpdateRowDetails.
- Return type
bool
- property is_get_return_row¶
Gets the is_get_return_row of this UpdateRowDetails. If true, and the put fails due to an option setting, then the existing row will be returned.
- Returns
The is_get_return_row of this UpdateRowDetails.
- Return type
bool
- property is_ttl_use_table_default¶
Gets the is_ttl_use_table_default of this UpdateRowDetails. If true, set time-to-live for this row to the table’s default.
- Returns
The is_ttl_use_table_default of this UpdateRowDetails.
- Return type
bool
- property option¶
Gets the option of this UpdateRowDetails. Specifies a condition for the put operation.
Allowed values for this property are: “IF_ABSENT”, “IF_PRESENT”
- Returns
The option of this UpdateRowDetails.
- Return type
str
- property timeout_in_ms¶
Gets the timeout_in_ms of this UpdateRowDetails. Timeout setting for the put.
- Returns
The timeout_in_ms of this UpdateRowDetails.
- Return type
int
- property ttl¶
Gets the ttl of this UpdateRowDetails. Time-to-live for the row, in days.
- Returns
The ttl of this UpdateRowDetails.
- Return type
int
- property value¶
[Required] Gets the value of this UpdateRowDetails. The map of values from a row.
- Returns
The value of this UpdateRowDetails.
- Return type
dict(str, object)